Subject: Re: bug#36780: 26.1; request: savehist should also save log-edit-comment-ring by default

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Aug 2019 11:57:53 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Fri, 23 Aug 2019 07:12:57 +0200
> Cc: [email-masked]
> 
> > I recommend adding 
> >
> >   (add-to-list 'savehist-additional-variables 'log-edit-comment-ring)
> >
> > to log-edit.el, so if savehist is enabled then it is saved as well.
> 
> `savehist-additional-variables' is explicitly reserved for users to add
> stuff to, so I don't think it'd be appropriate for log-edit.el to add
> anything to it.
> 
> But we could add a new variable, say `savehist-variables', that as a
> default value could be
> 
> (log-edit-comment-ring)
> 
> and anything else the Emacs maintainers think could be saved by default.
> 
> Opinions?

I don't see why the solution of customizing
savehist-additional-variables by the user is not the right one.  After
all, we are not talking about minibuffer history here.

The savehist package defines itself as being for "saving the
minibuffer history".  What you suggest makes it a much more general
facility, and we then would need to review many other variables and
decide whether they are candidates for saving (some of them are
already saved by separate features).  Maybe we should do that, but
that's a much broader issue than this particular bug report.